Bug Request Details

Dimension Compatibility

Guys this is getting increasingly frustrating.

I cannot get Dimension V2 to work open on my Mac because I am not on Mojave. Why can Adobe not allow Dimension to be supported while using High Sierra? I have multiple Mac Pros used for visual effects and post and will never go to Mojave due to its instability.

I know Adobe was to have removed the hardware limitations but this is now going on for months.

My spec:

Mac Pro Mid 2012 12 2.0Ghz 6 core x 2
64 gig RAM
GTX 780Ti GPU
2 x SSD's (boot and Scratch)
4 x 4 WD Server Grade drives

Whats happening Adobe? I need to use the new features

Mo

1 vote
Sign in Sign in with OpenID Connect
Signed in as (Sign out)

We’ll send you updates on this idea

Mo shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

0 comments

Sign in Sign in with OpenID Connect
Signed in as (Sign out)
Submitting...

Feedback and Knowledge Base